﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    global.purchase = global.purchase || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {},
        oldPage = "",
        isPremium = true,
        isInnap = false,
        nik = ScoringSDK.load("nik") || ("Player" + utils.random(100, 999));

    if (!isPremium || isInnap) ScoringSDK.setID("HTpin6g94");
    if (isInnap) utils.event.trigger("innap__initialization");

    var menuButton = document.getElementById("button_menu");

    /* Устанавливаю хэш контроллер, чтобы контролировать кнопку назад */
    utils.event.trigger("hash_controller__init", {
        page: "game"
    });

    var ignoreEventModuleWindow = true;

    /* Обработчик действия при клике на кнопку назад на Android (елси есть вариант не слушать хэш) */
    utils.event.listen("API__back", function () {
        if (oldPage == "game") {
            if (global.API && global.API.exit) {
                global.API.exit();
            }
        }
        if (oldPage == "menu") {
            utils.event.trigger("hash_controller__add", {
                page: "game"
            });
        }
        if (oldPage == "keyboard") {
            utils.event.trigger("hash_controller__add", {
                page: "game"
            });
        }
        if (oldPage == "option") {
            utils.event.trigger("hash_controller__add", {
                page: "menu"
            });
        }
        if (oldPage == "records") {
            utils.event.trigger("hash_controller__add", {
                page: "menu"
            });
        }
    });

    /* Обработчик действий при изменении хэша страницы */
    utils.event.listen("hash_controller__update", function (data) {
        if (!data) return false;

        /* События по кнопке назад */
        if (!data.status) {
            if (oldPage == "game" || oldPage == "menu") {
                utils.event.trigger("hash_controller__add", {
                    page: "game"
                });
                if (oldPage == "game") {
                    if (global.API && global.API.exit) {
                        global.API.exit();
                    }
                    return false;
                }
            }
        }
        oldPage = data.page;

        /* Нормальные события */
        if (data.page == "menu") {
            ignoreEventModuleWindow = true;
            utils.event.trigger("window_records__hide");
            utils.event.trigger("window_option__hide");
            utils.event.trigger("main_menu__show");
            utils.event.trigger("timer_up__pause");
            utils.event.trigger("grantwood__stop");
        }

        if (data.page == "game") {
            ignoreEventModuleWindow = true;
            utils.event.trigger("window_records__hide");
            utils.event.trigger("window_option__hide");
            utils.event.trigger("main_menu__hide");
            utils.event.trigger("timer_up__start");
            utils.event.trigger("grantwood__play");
        }

        if (data.page == "option") {
            ignoreEventModuleWindow = false;
            utils.event.trigger("window_option__show");
            utils.event.trigger("main_menu__hide");
            utils.event.trigger("timer_up__pause");
            utils.event.trigger("grantwood__stop");
        }

        if (data.page == "records") {
            ignoreEventModuleWindow = false;
            utils.event.trigger("scoring__update");
            utils.event.trigger("window_records__show");
            utils.event.trigger("main_menu__hide");
            utils.event.trigger("timer_up__pause");
            utils.event.trigger("grantwood__stop");
        }
    });


    /* На кнопку навешиваю события вызова меню */
    utils.addEvent(menuButton, "click", function () {
        utils.event.trigger("hash_controller__add", {
            page: "menu"
        });
    });

    /* При сохранении настроек закрываю окна */
    utils.event.trigger("scoring__nik_set", nik);
    ScoringSDK.save("nik", nik);
    utils.event.listen("scoring__nik_update", function (data) {
        if (data && data.name) ScoringSDK.save("nik", data.name);
        utils.event.trigger("message_show", language.get("saved"));
    });

    /* При закрытии вспомогательных окон типа Опции или Рекорды, востанавливаю меню */
    utils.event.listen("popup_window__hidden", function () {
        if (!ignoreEventModuleWindow) {
            utils.event.trigger("hash_controller__add", {
                page: "menu"
            });
        }
    });

    /* При сворачивании приложения */
    utils.event.listen("API__on_destroy", function () {
        utils.event.trigger("hash_controller__add", {
            page: "menu"
        });
    });


    /* Новая игра */
    utils.event.listen("app__new_game", function (coordinates) {
        utils.event.trigger("image__next");
        utils.event.trigger("timer__restart");
        utils.event.trigger("score__clear");
    });

    var useMessageEvent = false;

    utils.event.listen("send_score", function () {
        ScoringSDK.send({
            name: nik,
            score: global.getScore(),
            callback: function (status) {
                if (status) {
                    //  useMessageEvent = false;
                    utils.event.trigger("message_show", language.get("result_send"));
                } else {
                    useMessageEvent = true;
                    utils.event.trigger("message_show", language.get("dont_send"));
                }
            }
        });
    });

    utils.event.listen("check__victory", function () {
        utils.event.trigger("timer_up__pause");
        utils.event.trigger("main_menu__disable_continue");
        ScoringSDK.setEvent("DIALOG_SHOW", "DIALOG_SHOW");
        utils.event.trigger("message_confirm", {
            message: (language.get("add_result") + (global.purchase.purchase_info || "")),
            callback: function (status) {
                if (status) {
                    utils.event.trigger("send_score");
                }
            }
        });
    });


    utils.event.listen("message__hidden", function () {
        if (!useMessageEvent) return false;
        useMessageEvent = false;
        utils.event.trigger("app__new_game");
    });

    /* При сохранении настроек закрываю окна */
    utils.event.trigger("scoring__nik_set", nik);
    ScoringSDK.save("nik", nik);
    utils.event.listen("scoring__nik_update", function (data) {
        if (data && data.name) {
            ScoringSDK.save("nik", data.name);
            nik = data.name;
        }
        if (!data.showMessage) return false;
        if (data.name) {
            utils.event.trigger("message_show", language.get("option_saved"));
        } else {
            utils.event.trigger("message_show", language.get("enter_nik"));
        }
    });

    utils.ready(function () {
        if (isPremium) {
            var node = document.getElementById("button_menu");
            if (node) node.className = "hidden";
        }
    })
})(this);