/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    global.StalinGrad = global.StalinGrad || {};
    global.purchase = global.purchase || {};
    var utils = global.StalinGrad.utils || {},
        language = global.language || {},
        windowRecords = global.StalinGrad.module.popupWindow("popup_window__records"),
        windowOption = global.StalinGrad.module.popupWindow("popup_window__option");

    var config = {
        id: "button_menu",
        items: [
            {
                title: language.get("continue"),
                callback: function () {
                    utils.event.trigger("hash_controller__init", {
                        page: "game"
                    });
                }
            },
            {
                title: language.get("rating"),
                callback: function () {
                    utils.event.trigger("hash_controller__add", {
                        page: "records"
                    });
                }
            },
            {
                title: language.get("send_score"),
                callback: function () {
                    utils.event.trigger("check__victory");
                }
            },
            {
                title: language.get("change_nik"),
                callback: function () {
                    utils.event.trigger("hash_controller__add", {
                        page: "option"
                    });
                    setTimeout(function() {
                        var node = document.getElementById("scoring__nik");
                        node.focus();
                    }, 500);
                }
            }
        ]
    };

    var menu = StalinGrad.module.contextMenu(config);


    /* События для главного меню */
    utils.event.listen("main_menu__show", function () {
        menu.show();
    });

    utils.event.listen("main_menu__hide", function () {
        menu.hide();
    });

    /* События для окна опции */
    utils.event.listen("window_option__show", function () {
        windowOption.show();
    });

    utils.event.listen("window_option__hide", function () {
        windowOption.hide();
    });

    /* События для окна рекорды */
    utils.event.listen("window_records__show", function () {
        windowRecords.show();
    });

    utils.event.listen("window_records__hide", function () {
        windowRecords.hide();
    });
})(this);