﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _nik: null,
        _nodes: {},
        _prefix: "scoring__",
        _createNik: function () {
            this._nik = "Player" + utils.random(100, 999);
        },
        _insertNik: function () {
            var self = this,
                node = self._nodes.nik;
            if (!self._nik) {
                self._createNik();
            }
            if (node) {
                node.value = self._nik || "Player";
            }
        },
        _setNik: function () {
            var self = this,
                node = self._nodes.nik;
            if (!node) return false;
            if (node.value) {
                self._nik = node.value;
                utils.event.trigger("scoring__nik_update", {
                    name: self._nik,
                    showMessage: true
                });
            } else {
                utils.event.trigger("message_show", {
                    message: language.get("message.nik_error"),
                    ok: language.get("message.nik_ok")
                });
            }
        },
        _setEvents: function () {
            var self = this;
            utils.addEvent(self._nodes.button, "click", function () {
                self._setNik();
            });
        },
        _setNodes: function () {
            var arrayID = [
                "button",
                "nik"
            ];
            for (var i = 0, l = arrayID.length; i < l; i++) {
                this._nodes[(arrayID[i])] = document.getElementById((this._prefix + arrayID[i]));
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
            self._insertNik();
            utils.event.listen("scoring__nik_set", function (nik) {
                if (nik) {
                    self._nik = nik;
                    self._insertNik();
                }
            });
        }
    };

    module.init();

    global.getNikModule = function() {
        return module._nik;
    };

    if (global.test && global.test.add) {
        global.test.add(module);
    }
})(this);