﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils;

    var module = {
        _nodes: {},
        _prefix: "scoring__",
        _getItem: function (data, index) {
            if (!data) return "";
            var className = "information_table_tr";
            if (index % 2 == 0) {
                className += "__blue";
            }
            if (data.you) {
                className += "__red";
            }
            return [
                "<tr class=\"", className, "\">",
                "	<td class=\"information_table_first\">", (data.name || ("Player" + utils.random(100, 999))), "</td>",
                "	<td class=\"information_table_param\">", (data.score || (utils.random((10 * index + 10), (20 * index + 20)) * 50)), "</td>",
                "</tr>"
            ].join("");
        },
        _render: function (data) {
            var self = this,
                node = self._nodes.rating,
                content = [],
                count = data.length;
            if (count > 5) count = 5;
            for (var i = 0; i < count; i++) {
                content.push(self._getItem(data[i], i));
            }
            if (node) node.innerHTML = content.join("");
        },
        _update: function () {
            var self = this;
            ScoringSDK.getRating(function (data) {
                if (data && data.length) self._render(data);
            });
        },
        _setEvents: function () {
            var self = this;
            utils.event.listen("scoring__update", function () {
                self._update();
            });
        },
        _setNodes: function () {
            var arrayID = [
                "rating"
            ];
            for (var i = 0, l = arrayID.length; i < l; i++) {
                this._nodes[(arrayID[i])] = document.getElementById((this._prefix + arrayID[i]));
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
            self._update();
        }
    };


    module.init();

    if (global.test && global.test.add) {
        global.test.add(module);
    }
})(this);