﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _nodes: {},
        _index: null,
        _prefix: "controller__",
        _setEvents: function () {
            var self = this;
            utils.event.listen("animation__start", function () {
                self._start();
            });
            utils.event.listen("animation__right", function () {
                self._right();
            });
            utils.event.listen("animation__fail", function (answer) {
                self._fail(answer);
            });
        },
        _start: function () {
            var nodes = this._nodes;
            for (var i = 0; i < 4; i++) {
                var className = nodes[i].className;
                if (className.indexOf("select") != -1) {
                    this._index = i;
                    nodes[i].className = "animation_button__select";
                } else {
                    nodes[i].className = "animation_button__" + i;
                }
            }
        },
        _right: function () {
            var nodes = this._nodes;
            for (var i = 0; i < 4; i++) {
                if (i == this._index) {
                    nodes[i].className = "animation_button__select_right";
                } else {
                    nodes[i].className = "controller__button";
                }
            }
        },
        _fail: function (answer) {
            var nodes = this._nodes;
            answer = language.get(answer);
            for (var i = 0; i < 4; i++) {
                if (nodes[i].innerHTML === answer) {
                    nodes[i].className = "animation_button__select_right";
                } else if (nodes[i].className == "animation_button__select") {
                    nodes[i].className = "animation_button__bad";
                }
            }
        },
        _setNodes: function () {
            for (var i = 0; i < 4; i++) {
                this._nodes[i] = document.getElementById((this._prefix + i));
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
        }
    };


    utils.ready(function () {
        module.init();
    });
})(this);