﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils;

    var module = {
        _nodes: {},
        _data: [],
        _setEvents: function () {
            var self = this;
            utils.event.listen("answer__set", function (data) {
                self._copyData(paintingName, data.url);
                self._setAnswer(data.url, paintingName[data.url]);
            });
        },
        _setAnswer: function (data, goodAnswer) {
            var answer = [],
                data = this._data,
                count = data.length;
            for (var i = 0; i < 3; i++) {
                var index = utils.random(0, (count - 1)),
                    item = data[index];
                data.splice(index, 1);
                answer.push(item);
            }
            answer.push(goodAnswer);
            answer = this._shuffleAnswer(answer);
            utils.event.trigger("answer__update", answer);
        },
        _shuffleAnswer: function (data) {
            for (var i = 0; i < 4; i++) {
                var index = utils.random(0, 3),
                    temp = data[index];
                data[index] = data[i];
                data[i] = temp;
            }
            return data;
        },
        _copyData: function (data, response) {
            this._data = [];
            for (var id in data) {
                if (response != id) this._data.push(data[id]);
            }
        },
        init: function () {
            var self = this;
            self._setEvents();
        }
    };


    utils.ready(function () {
        module.init();
    });
})(this);