﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _nodes: [],
        _timer: [],
        _blocked: false,
        _prefix: "controller__",
        _setEvents: function () {
            var self = this,
                nodes = self._nodes;
            for (var i = 0; i < 4; i++) {
                var callback = (function (index) {
                    return function () {
                        self._onClick(index);
                    }
                })(i);
                var callbackHover = (function (index) {
                    return function () {
                        self._onHover(index);
                    }
                })(i);
                var callbackOut = (function (index) {
                    return function () {
                        self._onOut(index);
                    }
                })(i);
                utils.addEvent(nodes[i], "click", callback);
                utils.addEvent(nodes[i], "mouseover", callbackHover);
                utils.addEvent(nodes[i], "mouseout", callbackOut);
            }
            utils.event.listen("controller__set_text", function (data) {
                self._setTextOnButton(data);
                self._clear();
            });
        },
        _setTextOnButton: function (data) {
            for (var i = 0; i < 4; i++) {
                this._nodes[i].innerHTML = language.get((data[i] || "romantisme"));
            }
        },
        _clear: function() {
            this._blocked = false;
            for (var i = 0; i < 4; i++) this._onOut(i);
        },
        _onHover: function (index) {
            if (this._blocked) return false;
            this._nodes[index].className = "controller__button_hover";
        },
        _onOut: function (index) {
            if (this._blocked) return false;
            this._nodes[index].className = "controller__button";
        },
        _onClick: function (index) {
            var self = this,
                node = self._nodes[index],
                text = (node) ? node.innerHTML : "";
            if (self._blocked) return false;
            self._blocked = true;
            node.className = "controller__button_select";
            utils.event.trigger("controller__click", text);
        },
        _setNodes: function () {
            for (var i = 0; i < 4; i++) {
                this._nodes[i] = document.getElementById((this._prefix + i));
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
        }
    };

    utils.ready(function () {
        module.init();
    });
})(this);