﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {},
        answer = "";

    var callbackResponse = function (response) {
        utils.event.trigger("timer__stop");
        utils.event.trigger("animation__start");
        setTimeout(function () {
            if (language.get(answer) === response) {
                utils.event.trigger("score__add");
                utils.event.trigger("animation__right");
            } else {
                utils.event.trigger("score__remove");
                utils.event.trigger("animation__fail", answer);
            }
        }, 1000);
        setTimeout(function () {
            utils.event.trigger("image__next");
            if (!isTimerStop) {
                utils.event.trigger("timer__restart");
            } else {
                isNeedRestart = true;
            }
        }, 3000);
    };

    /* Pause button */
    var isTimerStop = false,
        isNeedRestart = false;

    utils.event.listen("grantwood__stop", function (isButtonEvent) {
        isTimerStop = true;
        utils.event.trigger("timer__stop");
        if (isButtonEvent) utils.event.trigger("message_show", language.get("pause"));
    });

    utils.event.listen("grantwood__play", function () {
        if (!isTimerStop) return false;
        isTimerStop = false;
        if (isNeedRestart) {
            isNeedRestart = false;
            utils.event.trigger("timer__restart");
        } else {
            utils.event.trigger("timer__play");
        }
    });

    utils.event.listen("message__hidden", function () {
        utils.event.trigger("grantwood__play");
    });


    utils.event.listen("controller__click", callbackResponse);
    utils.event.listen("timer__end", callbackResponse);

    utils.event.listen("image__update", function (data) {
        utils.event.trigger("answer__set", data);
        answer = paintingName[data.url];
    });

    utils.event.listen("answer__update", function (data) {
        utils.event.trigger("controller__set_text", data);
    });

    utils.event.listen("splash_screen__hidden", function () {
        utils.event.trigger("timer__restart");
        global.resize();
    });

    utils.event.listen("API__window_close", function () {
        utils.event.trigger("timer__stop");
    });

    utils.event.listen("API__window_open", function () {
        utils.event.trigger("timer__restart");
        global.resize();
    });

    utils.ready(function () {
        global.resize();

        var nodePause = document.getElementById("pause");
        utils.addEvent(nodePause, "click", function () {
            utils.event.trigger("grantwood__stop", true);
        });
    });
})(this);