﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _nodes: {},
        _data: [],
        _item: null,
        _prefix: "display__",
        _setEvents: function () {
            var self = this;
            utils.event.listen("image__next", function () {
                self._renderImage();
                self._setNextImage();
            });
        },
        _setNextImage: function () {
            var self = this,
                count = self._data.length,
                index = utils.random(0, (count - 1)),
                item = self._data[index];
            item.image = new Image();
            item.image.src = "images/painting/" + item.url + "/" + item.file + ".jpg";
            self._item = item;
            self._data.splice(index, 1);
            if (self._data.length < 1) self._loadData(painting);
        },
        _renderImage: function () {
            var self = this,
                node = self._nodes,
                item = self._item;
            if (node.image) node.image.setAttribute("src", item.image.src);
            if (node.author) node.author.innerHTML = language.get(item.name || "");
            utils.event.trigger("image__update", item);
        },
        _setNodes: function () {
            var arrayID = [
                "image",
                "author"
            ];
            for (var i = 0, l = arrayID.length; i < l; i++) {
                this._nodes[(arrayID[i])] = document.getElementById((this._prefix + arrayID[i]));
            }
        },
        _loadData: function (data) {
            for (var id in data) {
                for (var i = 0, l = data[id].length; i < l; i++) {
                    this._data.push({
                        url: id,
                        name: data[id][i].name,
                        file: data[id][i].file
                    });
                }
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
            self._loadData(painting);
            self._setNextImage();
            self._renderImage();
            self._setNextImage();
        }
    };

    utils.ready(function () {
        module.init();
    });
})(this);