﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _node: null,
        _score: 0,
        _setEvents: function () {
            var self = this;
            utils.event.listen("score__add", function () {
                self._addScore();
                self._render();
            });
            utils.event.listen("score__remove", function () {
                self._removeScore();
                self._render();
            });
            utils.event.listen("score__clear", function () {
                self._clearScore();
                self._render();
            });
        },
        _render: function () {
            var self = this;
            if (self._node) self._node.innerHTML = self._score || "0";
        },
        _clearScore: function () {
            this._score = 0;
        },
        _addScore: function () {
            this._score += 50;
        },
        _removeScore: function () {
            this._score -= 50;
            if (this._score < 0) this._score = 0;
        },
        init: function () {
            var self = this;
            self._node = document.getElementById("display__score");
            self._setEvents();
        }
    };

    global.getScore= function() {
        return module._score || 0;
    };

    utils.ready(function () {
        module.init();
    });
})(this);