﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils,
        language = global.language || {};

    var module = {
        _node: null,
        _timerIndex: null,
        _step: -1,
        _min: 0,
        _max: 10,
        _timer: null,
        _setEvents: function () {
            var self = this;
            utils.event.listen("timer__stop", function () {
                self._stop();
            });
            utils.event.listen("timer__play", function () {
                self._start();
                self._render();
            });
            utils.event.listen("timer__restart", function () {
                self._stop();
                self._clear();
                self._start();
                self._render();
            });
        },
        _render: function () {
            var self = this;
            if (self._node) {
                var time = self._timer || 0;
                self._node.innerHTML = "00:" + ((time < 10) ? ("0" + time) : time);
            }
        },
        _clear: function () {
            var self = this;
            if (self._step > 0) {
                self._timer = self._min;
            } else {
                self._timer = self._max;
            }
        },
        _nextValue: function () {
            var self = this;
            self._timer += self._step;
            self._render();
            if (self._step > 0) {
                if (self._timer >= self._max) {
                    self._stop();
                    utils.event.trigger("timer__end");
                }
            } else {
                if (self._timer <= self._min) {
                    self._stop();
                    utils.event.trigger("timer__end");
                }
            }
        },
        _stop: function () {
            clearInterval(this._timerIndex);
        },
        _start: function () {
            var self = this;
            clearInterval(self._timerIndex);
            self._timerIndex = setInterval(function () {
                self._nextValue();
            }, 1000);
        },
        init: function () {
            var self = this;
            self._node = document.getElementById("display__time");
            self._setEvents();
        }
    };


    utils.ready(function () {
        module.init();
    });
})(this);