utils.addEvent(document, "DOMContentLoaded", function() {
	renderBoard();
	resize.init();
	resize.update();
	hideAddressBar();
	lazyLoad.init();
}, false);

var options = {
	set: function(color, node) {
		var self = this,
			status = false;
		if(color == 'black') {
			status = ((cpb) ? false : true);
			pb(status);
		} else {
			var id = node.getAttribute("id");
			status = ((cpw) ? false : true);
			pw(status);
		}
		node.style.opacity = ((status) ? '0.9' : '0.4');
	},
	"view": function() {
		resize.type = ((resize.type == '3D') ? '2D' : '3D');
		var nodes = document.images,
			src = null,
			old = ((resize.type == '3D') ? '2D' : '3D');
		for (var i = 0, l = nodes.length; i < l; i++) {
			src = nodes[i].src;
			if(src.indexOf(old) != -1) nodes[i].src = src.replace(old, resize.type);
		}
	},
	"restart": function() {
		cpw = 0;
		cpb = 1;
		N = 1;
		K = "";
		F = px = py = 0;
		var pre_b = ["132", "130", "131", "133", "134", "131", "130", "132", "129", "129", "129", "129", "129", "129", "129", "129", "65", "65", "65", "65", "65", "65", "65", "65", "68", "66", "67", "69", "70", "67", "66", "68"];
		var pre_i = 0;
		for (var i = 0, l = 64; i < l; i++) {
			if(i < 16 || i > 47) {
				b[i] = pre_b[pre_i];
				pre_i++;
			} else b[i] = undefined;
		}
		d(b);

        var nodeBrainBlack = document.getElementById("black_brain");
        if(nodeBrainBlack) nodeBrainBlack.style.opacity = '0.9';

        var nodeBrainWhite = document.getElementById("white_brain");
        if(nodeBrainWhite) nodeBrainWhite.style.opacity = '0.4';
	}
}

var lazyLoad = {
	images: [],
	add: function(src) {
		var obj = new Image();
		obj.src = src;
		this.images.push(obj);
	},
	init: function() {
		var self = this,
			src = null,
			arrayID = [ "w", "b", "sw", "sb" ],
			arrayURL = [ "2D/", "3D/" ];
		for (var m = 0; m < 2; m++) {
			for (var j = 0, l = arrayID.length; j < l; j++) {
				for (var i = 1; i < 7; i++) {
					src = "images/" + arrayURL[m] + arrayID[j] + i + '.png';
					self.add(src);
				}
			}
		}
	}
};

function setOptions(color) {
	var style = null;
	if(color == 'black') {

		pb(true);
		style = true;
	} else {
		pw(true);
		style = false;
	}
	document.getElementById("black_brain").style.opacity = ((style) ? '0.9' : '0.4');
	document.getElementById("white_brain").style.opacity = ((style) ? '0.4' : '0.9');
}
function renderBoard() {
	var content = [],
		parity = false;
	content.push("<table border=0 cellspacing=0 cellpadding=0 id='board'>");
	for (var i = 0; i < 8; ++i) {
		content.push("<tr>");
		for (var j = 0; j < 8; ++j) {
			var id = '' + j + i;
			var style = (((i + j) % 2 == 0) ? "white" : "");
			var callback = 'hu(' + j + ',' + i + ')';
			content.push('<td class="' + style + '" onClick="' + callback + '" id="' + id + '" ></td>');
		}
		content.push("</tr>");
	}
	content.push("</table>");

	document.getElementById("board_containter").innerHTML = content.join("");
}