﻿/*
 *
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    var utils = global.StalinGrad.utils;

    var module = {
        _nodes: {},
        _setEvents: function () {
            var self = this;
            global.resize = function () {
                self._resize();
            }
        },
        _resize: function () {
            var self = this,
                node = self._nodes,
                w = utils.display.width(),
                h = utils.display.height(),
                min = Math.min(h, Math.floor(w / 2));
            if (h > w) min = Math.min(w, Math.floor(h / 2));
            min = Math.ceil(min / 5);
            self._setStyle(min, h);
        },
        _setStyle: function (min, h) {
            var self = this,
                node = self._nodes.style,
                top = Math.ceil((h - (min * 6)) / 2),
                font = Math.ceil(min / 4);
            if (font < 10) font = 10;
            if (font > 32) font = 32;
            if (!top || top < 0) top = 0;
            if (!node) return false;
            node.innerHTML = [
                ".display__container,",
                ".controller__container {",
                "    width:  ", (min * 4), "px;",
                "    height: ", (min * 4), "px;",
                "}",
                ".option_panel__container_left,",
                ".option_panel__container_right {",
                "    width:  ", (min * 4), "px;",
                "    height: ", min, "px;",
                "    line-height: ", min, "px;",
                "}",
                ".option_panel__button_pause_image,",
                ".option_panel__button_menu_image {",
                "    width: ", Math.ceil(min * 0.94), "px;",
                "}",
                ".option_panel__time_title,",
                ".option_panel__score_title {",
                "    font-size: ", Math.ceil(min / 2.8), "px;",
                "}",
                ".option_panel__time_value,",
                ".option_panel__score_value {",
                "    font-size: ", Math.ceil(min / 2.3), "px;",
                "}",
                ".board_table {",
                "    top: ", top, "px;",
                "}",
                ".controller__container {",
                "    font-size: ", font,"px;",
                "}"
            ].join("");
        },
        _setNodes: function () {
            var elements = {
                display: "display__container",
                controller: "controller__container",
                score: "display__score",
                time: "display__time",
                author: "display__author",
                style: "grantwood__style"
            };
            for (var id in elements) {
                this._nodes[id] = document.getElementById(elements[id]);
            }
        },
        init: function () {
            var self = this;
            self._setNodes();
            self._setEvents();
            self._resize();
        }
    };

    module.init();
})(this);