function hideAddressBar() {
    document.body.style.minHeight = "1000px"; // to ensure enough height for scrollTo to work
    scrollTo(0, 1);
    setTimeout(function () {
        document.body.style.minHeight = getwindowHeight() + "px";
        document.body.style.height = getwindowHeight() + "px";
        scrollTo(0, 1);
    }, 150);
}

function getwindowWidth() {
    if (window.innerWidth) {
        windowWidth = window.innerWidth;
    } else if (document.documentElement && document.documentElement.clientWidth) {
        windowWidth = document.documentElement.clientWidth;
    } else if (document.body.clientWidth) {
        windowWidth = document.body.clientWidth;
    }
    return windowWidth;
}
function getwindowHeight() {
    if (window.innerHeight) {
        windowHeight = window.innerHeight;
    } else if (document.documentElement && document.documentElement.clientHeight) {
        windowHeight = document.documentElement.clientHeight;
    } else if (document.body.clientHeight) {
        windowHeight = document.body.clientHeight;
    }
    return windowHeight;
}


var resize = {
    "type": "3D",
    "node": {},
    "timer": null,
    "nodesID": [
        "board",
        "options_container",
        "white_brain"
    ],
    "update": function () {
        var self = this;
        var callback = function () {
            self._update();
        }
        clearTimeout(self.timer);
        self.timer = setTimeout(callback, 200);
    },
    "_update": function () {
        var w = wr = getwindowWidth() * 0.9,
            h = hr = getwindowHeight() * 0.9,
            self = this,
            o = null;
        if (w > h) {
            o = (w - h) / 2;
            w = h;
        } else {
            o = (h - w) / 2;
            h = w;
        }
        o = ((o < (w / 10)) ? (w / 10) : o);
        o = ((o > (w / 4)) ? (w / 4) : o);
        var getOldType = (function (data) {
            return function () {
                return data;
            }
        })(self.type);
        self.type = ((wr < 400 || hr < 400) ? '2D' : '3D');
        self.board(w, h);
        //self.button(wr, hr, o);
        hideAddressBar();
        var nodes = document.images,
            src = null,
            old = getOldType();
        for (var i = 0, l = nodes.length; i < l; i++) {
            src = nodes[i].src;
            if (src.indexOf(old) != -1) nodes[i].src = src.replace(old, self.type);
        }
    },
    "board": function (w, h) {
        var style = this.node.board.style;
        style.width = w + "px";
        style.height = h + "px";
    },
    "button": function (w, h, o) {
        var self = this.node;
        if (!self.white_brain) return;
        self.white_brain.style.width = o + "px";
        if (w < h) {
            self.options_container.style.height = o + "px";
            self.options_container.style.width = "auto";
        } else {
            self.options_container.style.height = "auto";
            self.options_container.style.width = o + "px";
        }
    },
    "init": function () {
        var self = this,
            $ = function (id) {
                self.node[id] = document.getElementById(id);
            };
        for (var i = 0, l = self.nodesID.length; i < l; i++) $(self.nodesID[i]);
    }
};
(function () {
    var w = getwindowWidth() * 0.9;
    h = getwindowHeight() * 0.9;
    resize.type = ((w < 400 || h < 400) ? '2D' : '3D');
})()