﻿/*
 * Тестирование и документирование кода.
 * Добавляет глобальный метод test.export куда должны экспортироваться все модули.
 * Это нужно для того, чтобы была возможность в одном месте отправить все модули "на документирование" или "на тестирование"
 *
 */
(function (global) {
    "use strict";

    global = global || {};
    global.test = global.test || {};

    var module = {
        _data: [],
        export: function (data) {
            if (!data) return false;
            this._data.push(data);
            global.test.doc(data);
        }
    };

    global.test.export = function (data) {
        try {
            return module.export(data);
        } catch (e) {
            return false;
        }
    };
})(this);